<template>
  <div>
    <section class="pt-32 pb-16 md:pt-32 lg:pt-48">
      <div class="px-10 containe">
        <UtilsAsicsCalculator />

        <div class="mt-16 text-center lg:mt-32">
          <button
            @click.prevent="copyOnClipboard()"
            class="w-full btn btn-primary lg:w-auto"
          >
            {{ $t('calculator.results.button') }}
          </button>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  name: 'CalculadoraPage',

  methods: {
    copyOnClipboard() {
      /* Copy the text inside the text field */
      navigator.clipboard.writeText(window.location.href)

      alert('URL copiada: ' + window.location.href)
    },
  },

  nuxtI18n: {
    paths: {
      en: '/calculator',
      es: '/calculadora',
    },
  },
}
</script>

<style></style>
